<?php
namespace Ep\Wp;

use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'wp_plugins' => [
        'aliases' => [
            'wp.cyrillic_to_latin' => Plugin\I18n\CyrillicToLatin::class,
            'wp.translation_cache' => Plugin\I18n\TranslationCache::class,
        ],

        'factories' => [
            Plugin\I18n\CyrillicToLatin::class  => InvokableFactory::class,
            Plugin\I18n\TranslationCache::class => Plugin\I18n\TranslationCacheFactory::class,
        ],
    ],
];