<?php
namespace Ep\Wp\View;

use Ep\Twig\View\AbstractView as BaseAbstractView;

/**
 * Osnovna klasa za WordPress viewove.
 *
 * @package Ep\Wp\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-wordpress
 */
abstract class AbstractView extends BaseAbstractView implements ViewInterface
{
    /**
     * View možda nema što za nakačiti.
     */
    public function init(): void
    { }

    /**
     * Osnovno implementacija ispisuje render().
     */
    public function output(): void
    {
        echo call_user_func_array([$this, 'render'], func_get_args());
    }
}