<?php
namespace Ep\Wp\View;

use Ep\Twig\View\ViewInterface as BaseViewInterface;
use Zend\Stdlib\InitializableInterface;

/**
 * U WordPressu nemamo kome vratiti ono što izrendamo :/.
 *
 * @package Ep\Wp\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-wordpress
 */
interface ViewInterface extends
    BaseViewInterface,
    InitializableInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function init(): void;

    /**
     * Ispisuje ovaj view.
     */
    public function output(): void;
}